---
title: "Update member"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`PATCH /v2/entities/team/{memberId}`

## Path parameters

- `memberId` (`entity-team-update-member.path.memberId`; string, required)
  - format `uuid`

## Request body

- `role` (`entity-team-update-member.role`; string, optional)
  - one of `"admin"`, `"executive"`, `"board_member"`, `"employee"`, `"advisor"`
- `title` (`entity-team-update-member.title`; string, optional, nullable)
  - minLength 1; maxLength 255
- `visibleOnProfile` (`entity-team-update-member.visibleOnProfile`; boolean, optional)

## Example request

```json
{
  "role": "admin",
  "title": "string",
  "visibleOnProfile": true
}
```

## Code samples

### cURL

```bash
curl --request PATCH \
  --url 'https://api.sureshake.com/v2/entities/team/<memberId>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "admin",
  "title": "string",
  "visibleOnProfile": true
}
'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/team/<memberId>';
const options = {
  method: 'PATCH',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({role: 'admin', title: 'string', visibleOnProfile: true})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/team/<memberId>"

payload = {
    "role": "admin",
    "title": "string",
    "visibleOnProfile": True
}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
  "userId": "string",
  "status": "string",
  "role": "owner",
  "title": "string",
  "portfolioRole": "string",
  "current": true,
  "visibleOnProfile": true,
  "invitedBy": "string",
  "invitedAt": "2019-08-24T14:15:22Z",
  "respondedAt": "2019-08-24T14:15:22Z",
  "startDate": "2019-08-24T14:15:22Z",
  "endDate": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "user": {
    "id": "string",
    "name": "string",
    "email": "string",
    "avatar": "string",
    "bio": "string",
    "company": "string",
    "title": "string"
  },
  "entity": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "logoUrl": "string",
    "description": "string"
  },
  "inviter": {
    "id": "string",
    "name": "string",
    "avatar": "string"
  }
}
```

- `id` (`entity-team-update-member.response.200.id`; string, required)
  - format `uuid`
- `entityId` (`entity-team-update-member.response.200.entityId`; string, required)
  - format `uuid`
- `userId` (`entity-team-update-member.response.200.userId`; string, required)
- `status` (`entity-team-update-member.response.200.status`; string, required)
- `role` (`entity-team-update-member.response.200.role`; string, required, nullable)
  - one of `"owner"`, `"admin"`, `"executive"`, `"board_member"`, `"employee"`, `"advisor"`
- `title` (`entity-team-update-member.response.200.title`; string, required, nullable)
- `portfolioRole` (`entity-team-update-member.response.200.portfolioRole`; string, required, nullable)
- `current` (`entity-team-update-member.response.200.current`; boolean, required)
- `visibleOnProfile` (`entity-team-update-member.response.200.visibleOnProfile`; boolean, required)
- `invitedBy` (`entity-team-update-member.response.200.invitedBy`; string, required)
- `invitedAt` (`entity-team-update-member.response.200.invitedAt`; string, required)
  - format `date-time`
- `respondedAt` (`entity-team-update-member.response.200.respondedAt`; string, required, nullable)
  - format `date-time`
- `startDate` (`entity-team-update-member.response.200.startDate`; string, required, nullable)
  - format `date-time`
- `endDate` (`entity-team-update-member.response.200.endDate`; string, required, nullable)
  - format `date-time`
- `createdAt` (`entity-team-update-member.response.200.createdAt`; string, required)
  - format `date-time`
- `updatedAt` (`entity-team-update-member.response.200.updatedAt`; string, required)
  - format `date-time`
- `user` (`entity-team-update-member.response.200.user`; object, optional, nullable)
  - `id` (`entity-team-update-member.response.200.user.id`; string, required)
  - `name` (`entity-team-update-member.response.200.user.name`; string, required, nullable)
  - `email` (`entity-team-update-member.response.200.user.email`; string, required, nullable)
  - `avatar` (`entity-team-update-member.response.200.user.avatar`; string, required, nullable)
  - `bio` (`entity-team-update-member.response.200.user.bio`; string, optional, nullable)
  - `company` (`entity-team-update-member.response.200.user.company`; string, optional, nullable)
  - `title` (`entity-team-update-member.response.200.user.title`; string, optional, nullable)
- `entity` (`entity-team-update-member.response.200.entity`; object, optional, nullable)
  - `id` (`entity-team-update-member.response.200.entity.id`; string, required)
    - format `uuid`
  - `name` (`entity-team-update-member.response.200.entity.name`; string, required)
  - `slug` (`entity-team-update-member.response.200.entity.slug`; string, optional, nullable)
  - `logoUrl` (`entity-team-update-member.response.200.entity.logoUrl`; string, optional, nullable)
  - `description` (`entity-team-update-member.response.200.entity.description`; string, optional, nullable)
- `inviter` (`entity-team-update-member.response.200.inviter`; object, optional, nullable)
  - `id` (`entity-team-update-member.response.200.inviter.id`; string, required)
  - `name` (`entity-team-update-member.response.200.inviter.name`; string, required, nullable)
  - `avatar` (`entity-team-update-member.response.200.inviter.avatar`; string, required, nullable)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.400.error`; object, required)
  - `code` (`entity-team-update-member.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.401.error`; object, required)
  - `code` (`entity-team-update-member.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.403.error`; object, required)
  - `code` (`entity-team-update-member.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.404.error`; object, required)
  - `code` (`entity-team-update-member.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.409.error`; object, required)
  - `code` (`entity-team-update-member.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.500.error`; object, required)
  - `code` (`entity-team-update-member.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-team-update-member.response.503.error`; object, required)
  - `code` (`entity-team-update-member.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-team-update-member.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-team-update-member.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-team-update-member.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-team-update-member/index.md
